# GCC_UserIDIndication Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_UserIDIndication:

List of all members.

## Public Member Functions

| GCC_UserIDIndication (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_tag

## Constructor & Destructor Documentation

GCC_UserIDIndication::GCC_UserIDIndication | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_UserIDIndication::GetDataLength | ( |  | ) | const

PBoolean GCC_UserIDIndication::Decode | ( | PASN_Stream & | strm | ) |

void GCC_UserIDIndication::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_UserIDIndication::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_UserIDIndication::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_UserIDIndication::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer GCC_UserIDIndication::m_tag

The documentation for this class was generated from the following file:

- gcc.h